(Archived) Why Do I Have to Choose a New Plan When Purchasing a New 3.0 Phone?

Environment

Answer

The technology is not compatible with your current plan. You will not be able to use the My Choice (4.0) plans on your 1.0/2.0 phones, and will not be able to use the 1.0/2.0 plans on Republic Wireless (3.0) phones.

Additional Notes

Here are the options for our My Choice (4.0) plans


Article Created From

  • 1261880

Having trouble finding the answer you’re looking for? Ask an Expert Member.
(Our Experts are not staff, but their knowledge of our service and phones is outstanding!)